Subject: Re: [PATCH] Set cpu explicitly in kernel compiles

From: Dan Malek <[email-masked]>
Date: Thu, 5 May 2005 08:24:09 -0400

On May 5, 2005, at 1:22 AM, Paul Mackerras wrote:
> If you think we should have -mcpu=xxx on the command line for 4xx,
> 44x, 8xx, etc., then that's fine, but that is a separate problem from
> what my patch was addressing (one which my patch might make it easier
> to fix, though).

I think that is exactly what we want, although I don't know how that is
separate from the patch you sent.  My original comment was the patch
fixes the problem for only one of the cpu cores, not all of them.  Which
then led into the subsequent suggestion of making the biarch work
like the past compilers, and we must specific the flags for POWER4
instead of the other way around.  Without explicit -mcpu flags, the
existing compiler behavior is just fine .....  but, I guess I'd be 
standing
in the way of progress to want this :-)

Thanks.

	-- Dan